# $Revision: 1.17 $, $Date: 2009/11/28 17:20:05 $
%define		_state		stable
%define		orgname		kdelibs-experimental
%define		qtver		4.5.3

Summary:	K Desktop Environment - experimental libraries
Summary(es.UTF-8):	K Desktop Environment - bibliotecas
Summary(ko.UTF-8):	KDE - 라이브러리
Summary(pl.UTF-8):	K Desktop Environment - experymentalne biblioteki
Summary(pt_BR.UTF-8):	Bibliotecas de fundação do KDE
Summary(ru.UTF-8):	K Desktop Environment - Библиотеки
Summary(uk.UTF-8):	K Desktop Environment - Бібліотеки
Name:		kde4-kdelibs-experimental
Version:	4.3.4
Release:	1
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	ee3eb713d703b8bba9de61197f6943c4
URL:		http://www.kde.org/
BuildRequires:	OpenEXR-devel >= 1.2.2
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtDesigner-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtScript-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	QtUiTools-devel >= %{qtver}
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.293
Requires:	QtCore >= %{qtver}
Requires:	kde-common-dirs >= 0.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# confuses OpenEXR detection
%undefine	configure_cache

%description
This package includes experimental libraries for KDE.

%package devel
Summary:	kdelibs-experimental - header files and development documentation
Summary(pl.UTF-8):	kdelibs-experimental - pliki nagłówkowe i dokumentacja do kdelibs
Summary(pt_BR.UTF-8):	Arquivos de inclusão e documentação para compilar aplicativos KDE
Summary(ru.UTF-8):	Хедеры и документация для компилляции программ KDE
Summary(uk.UTF-8):	Хедери та документація для компіляції програм KDE
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	acl-devel
Requires:	fam-devel
Requires:	libart_lgpl-devel
Requires:	libidn-devel
Requires:	mdns-bonjour-devel
Requires:	pcre-devel
Requires:	phonon-devel
Requires:	xorg-lib-libXmu-devel
Requires:	xorg-lib-libXt-devel

%description devel
This package contains header files and development documentation for
kdelibs-experimental.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe i dokumentację potrzebną przy
pisaniu własnych programów wykorzystujących kdelibs-experimental.

%description devel -l pt_BR.UTF-8
Este pacote contém os arquivos de inclusão que são necessários para
compilar aplicativos KDE.

%description devel -l ru.UTF-8
Этот пакет содержит хедеры, необходимые для компиляции программ для
KDE.

%description devel -l uk.UTF-8
Цей пакет містить хедери, необхідні для компіляції програм для KDE.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DLIB_INSTALL_DIR=%{_libdir} \
	-DCONFIG_INSTALL_DIR=%{_datadir}/config \
	-DSYSCONF_INSTALL_DIR=%{_sysconfdir} \
	-DDATA_INSTALL_DIR=%{_datadir}/apps \
	-DKCFG_INSTALL_DIR=%{_datadir}/config.kcfg \
	-DMIME_INSTALL_DIR=/nogo \
	-DTEMPLATES_INSTALL_DIR=%{_datadir}/templates \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DKDE_DISTRIBUTION_TEXT="PLD-Linux" \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	-DKDE4_ENABLE_FINAL=OFF \
	../

%{__make}


%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libknotificationitem-1.so.?
%attr(755,root,root) %{_libdir}/libknotificationitem-1.so.*.*.*
%{_datadir}/dbus-1/interfaces/org.kde.NotificationItem*.xml

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/knotificationitem-1
%attr(755,root,root) %{_libdir}/libknotificationitem-1.so
%{_includedir}/knotificationitem-1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdelibs-experimental.spec,v $
Revision 1.17  2009/11/28 17:20:05  shadzik
- 4.3.4

Revision 1.16  2009/11/17 14:36:45  zbyniu
- missing BRs

Revision 1.15  2009/10/31 13:07:41  shadzik
- 4.3.3

Revision 1.14  2009/10/03 11:59:12  shadzik
- updated qt BR

Revision 1.13  2009/10/02 17:37:39  shadzik
- 4.3.2 try #1

Revision 1.12  2009/08/28 13:27:36  shadzik
- 4.3.1

Revision 1.11  2009/08/03 15:20:25  arekm
- values are case sensitive it seems

Revision 1.10  2009/07/29 18:07:36  shadzik
- merged from DEVEL

Revision 1.9  2009/07/29 18:07:20  shadzik
- 4.3.0

Revision 1.8  2009/07/21 22:59:08  shadzik
- 4.3rc3

Revision 1.7  2009/07/09 19:05:33  paszczus
- updated to 4.2.96

Revision 1.6  2009/07/04 15:33:41  shadzik
- fix --target build

Revision 1.5  2009/06/29 18:07:32  shadzik
- 4.3 RC1

Revision 1.4  2009/06/11 12:47:41  paszczus
- updated to 4.2.91

Revision 1.3  2009/06/08 11:03:39  paszczus
- updated to 4.2.90

Revision 1.2  2009/05/30 14:32:41  paszczus
- removed bogus R

Revision 1.1  2009/05/30 14:23:11  paszczus
- initial
